Skip to main content
POST
https://{tenantDomain}/api/v2
/
self-service-profiles
/
{id}
/
sso-ticket
Go
package example

import (
    context "context"

    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
    selfserviceprofiles "github.com/auth0/go-auth0/management/management/selfserviceprofiles"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &selfserviceprofiles.CreateSelfServiceProfileSsoTicketRequestContent{}
    client.SelfServiceProfiles.SsoTicket.Create(
        context.TODO(),
        "id",
        request,
    )
}
{
  "ticket": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the self-service profile to retrieve

Body

connection_id
string<connection-id>

If provided, this will allow editing of the provided connection during the Self-Service Enterprise Configuration flow

connection_config
object

If provided, this will create a new connection for the Self-Service Enterprise Configuration flow with the given configuration

enabled_clients
string[]

List of client_ids that the connection will be enabled for.

enabled_organizations
object[]

List of organizations that the connection will be enabled for.

ttl_sec
integer

Number of seconds for which the ticket is valid before expiration. If unspecified or set to 0, this value defaults to 432000 seconds (5 days).

Required range: 0 <= x <= 432000
domain_aliases_config
object

Configuration for the setup of the connection’s domain_aliases in the Self-Service Enterprise Configuration flow.

provisioning_config
object

Configuration for the setup of Provisioning in the self-service flow.

use_for_organization_discovery
boolean

Indicates whether a verified domain should be used for organization discovery during authentication.

enabled_features
object

Specifies which features are enabled for an "edit connection" ticket. Only applicable when connection ID is provided.

Response

Self-Service Enterprise Configuration Access Ticket successfully created.

ticket
string

The URL for the created ticket.